# Superbet

`identifier` - this could be either ticket id or ticket code.

Response fields for `superbet` ticket:

<table><thead><tr><th width="256">Attribute</th><th width="134">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>string</td><td>Betstack ticket id</td></tr><tr><td>code</td><td>string</td><td>Betstack ticket code</td></tr><tr><td>psp</td><td>string ot null</td><td>Optional payment service provider or method used to pay for the ticket. E.g mobile, brite, pawapay</td></tr><tr><td>price</td><td>integer</td><td>Ticket price. Should be in integer format (cents). For example, for price <code>35.00</code> the value will be <code>3500</code></td></tr><tr><td>stake</td><td>integer</td><td>Ticket amount. Should be in integer format (cents). For example, for stake <code>30.45</code> the value should be <code>3045</code></td></tr><tr><td>gross_payout</td><td>integer</td><td>Ticket gross payout. Should be in integer format (cents). For example, for gross payout <code>30.45</code> the value should be <code>3045</code></td></tr><tr><td>net_payout</td><td>integer</td><td>Ticket net payout. Should be in integer format (cents). For example, for net payout <code>30.45</code> the value should be <code>3045</code></td></tr><tr><td>wht_amount</td><td>integer</td><td>Player withholding tax amount. Should be in integer format (cents). For example, for tax <code>30.45</code> the value should be <code>3045</code></td></tr><tr><td>wht</td><td>float</td><td>Player withholding tax percentage. For example, for tax <code>20.0%</code> the value should be <code>20.0</code></td></tr><tr><td>ext_amount</td><td>integer</td><td>Ticket exercise tax amount. Should be in integer format (cents). For example, for exercise tax <code>1.25</code> the value will be <code>125</code></td></tr><tr><td>ext</td><td>float</td><td>Ticket exercise tax percentage. For example, for tax <code>12.5%</code> the value should be <code>12.5</code></td></tr><tr><td>ext_type</td><td>string</td><td>Exercise tax type (see <a data-mention href="/pages/X7kpzRZfS4vnwo3UUQLa">/pages/X7kpzRZfS4vnwo3UUQLa</a>)</td></tr><tr><td>currency</td><td>string</td><td>Currency code in <a href="https://www.iso.org/iso-4217-currency-codes.html">ISO 4217</a> three letter format</td></tr><tr><td>status</td><td>string</td><td>Ticket Status (see <a data-mention href="/pages/X7kpzRZfS4vnwo3UUQLa">/pages/X7kpzRZfS4vnwo3UUQLa</a>)</td></tr><tr><td>result</td><td>string</td><td>Ticket Result (see <a data-mention href="/pages/X7kpzRZfS4vnwo3UUQLa">/pages/X7kpzRZfS4vnwo3UUQLa</a>)</td></tr><tr><td>approved</td><td>bool</td><td>Ticket approval (see <a data-mention href="/pages/X7kpzRZfS4vnwo3UUQLa">/pages/X7kpzRZfS4vnwo3UUQLa</a>)</td></tr><tr><td>source</td><td>string</td><td>Ticket source (see <a data-mention href="/pages/X7kpzRZfS4vnwo3UUQLa">/pages/X7kpzRZfS4vnwo3UUQLa</a>)</td></tr><tr><td>type</td><td>string</td><td>Ticket Type (see <a data-mention href="/pages/X7kpzRZfS4vnwo3UUQLa">/pages/X7kpzRZfS4vnwo3UUQLa</a>)</td></tr><tr><td>atag</td><td>string or null</td><td>Optional affiliate Tag or Affiliate ID</td></tr><tr><td>rtag</td><td>string or null</td><td>Optional referral Tag or referral ID</td></tr><tr><td>aff_instant_comm_amt</td><td>int or null</td><td>Optional instant commission amount of affiliate user (in cents). Actual value may be only in smartbet, jackpot and superbet tickets</td></tr><tr><td>aff_instant_comm_pct</td><td>float or null</td><td>Optional instant commission percentage of affiliate user. Actual value may be only in smartbet, jackpot and superbet tickets</td></tr><tr><td>user_id</td><td>string</td><td>Betstack user id</td></tr><tr><td>psp</td><td>string</td><td>Payment service provider or payment method name</td></tr><tr><td>created</td><td>string</td><td>Ticket created datetime, UTC. Format - <code>2024-01-28T14:33:01.000000</code></td></tr><tr><td>operator_time_created</td><td>string</td><td>Ticket created datetime, operator timezone. Format - <code>2024-01-28T14:33:01.000000</code></td></tr><tr><td>updated</td><td>string</td><td>Ticket updated datetime, UTC. Format - <code>2024-01-28T14:33:01.000000</code></td></tr><tr><td>operator_time_updated</td><td>string</td><td>Ticket updated datetime, operator timezone. Format - <code>2024-01-28T14:33:01.000000</code></td></tr><tr><td>event</td><td>object</td><td></td></tr><tr><td>event id</td><td>integer</td><td>Event id</td></tr><tr><td>event starts</td><td>string</td><td>Event start datetime, UTC. Format - <code>2024-01-28T14:33:01.000000</code></td></tr><tr><td>event operator_time_starts</td><td>string</td><td>Event start datetime, operator timezone. Format - <code>2024-01-28T14:33:01.000000</code></td></tr><tr><td>event home_team</td><td>string</td><td>Name of home team</td></tr><tr><td>event away_team</td><td>string</td><td>Name of away team</td></tr><tr><td>bets</td><td>list of objects</td><td></td></tr><tr><td>bets id</td><td>integer</td><td>Id of bet</td></tr><tr><td>bets bet_name</td><td>string</td><td>Name of bet</td></tr><tr><td>bets market_code</td><td>string</td><td>Code of market</td></tr><tr><td>bets market_name</td><td>string</td><td>Name of market</td></tr><tr><td>bets result</td><td>string</td><td>Bet Result (see <a data-mention href="/pages/X7kpzRZfS4vnwo3UUQLa">/pages/X7kpzRZfS4vnwo3UUQLa</a>)</td></tr></tbody></table>

Sample response (status=200) for `superbet` ticket:

```json
{
    "id": "6314704d686a9e8e5d68dca6",
    "code": "E36E20",
    "psp": null,
    "price": 2000,
    "stake": 1800,
    "gross_payout": 0,
    "net_payout": 0,
    "wht_amount": 0,
    "wht": 0,
    "ext_amount": 200,
    "ext": 10,
    "ext_type": "inclusive",
    "currency": "USD",
    "status": "resulted",
    "result": "lost",
    "approved": true,
    "source": "desktop",
    "type": "superbet",
    "atag": "atag_value",
    "rtag": null,
    "aff_instant_comm_amt": 360,
    "aff_instant_comm_pct": 20,
    "user_id": "1660986605374148608",
    "created": "2022-09-04T09:30:53.000000",
    "operator_time_created": "2022-09-04T11:30:53.000000",
    "updated": "2022-09-04T09:30:53.000000",
    "operator_time_updated": "2022-09-04T11:30:53.000000",
    "event": {
        "id": 100001,
        "starts": "2022-09-04T09:30:53.000000",
        "operator_time_starts": "2022-09-04T11:30:53.000000",
        "home_team": "Lazio",
        "away_team": "FC Bayern Munich"
    },
    "bets": [
        {
            "id": 101,
            "bet_name": "Home",
            "market_code": "FTSFT",
            "market_name": "First Goal Full Time",
            "result": "pending"
        },
        {
            "id": 102,
            "bet_name": "1-0",
            "market_code": "CSHT",
            "market_name": "Correct Score Half Time",
            "result": "lost"
        },
        {
            "id": 103,
            "bet_name": "Yes",
            "market_code": "BTSFT",
            "market_name": "Both Teams to Score Full Time",
            "result": "pending"
        },
        {
            "id": 104,
            "bet_name": "Second",
            "market_code": "HSH",
            "market_name": "Highest Scoring Half",
            "result": "pending"
        },
        {
            "id": 105,
            "bet_name": "Odd",
            "market_code": "OEFT",
            "market_name": "Odd/Even Full Time",
            "result": "pending"
        },
        {
            "id": 106,
            "bet_name": "2-1",
            "market_code": "CSFT",
            "market_name": "Correct Score Full Time",
            "result": "pending"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.betstack.io/bet-engine-api/get-ticket-endpoint/superbet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
